Skip to main content
Platform Operations/Platform Federation
GETPlatformSince 1.0SynchronousAuth Required

ListClusterGroups

List all cluster groups available in the federation.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of cluster group records

    Example: (nested array)

    • idString

      Unique identifier of the cluster group

      Example: cg-001-xyz

    • nameString

      Human-readable name of the cluster group

      Example: production-clusters

    • descriptionString

      Description of the cluster group purpose

      Example: All production environment clusters

    • clusterIdsList

      List of cluster UUIDs that belong to this group

      Example: item1,item2

    • createdAtString

      Created at

      Example: 2026-01-15T08:00:00Z

  • totalInteger

    Total number of cluster groups

    Example: 5

  • limitInteger

    Maximum number of items per page

    Example: 20

  • offsetInteger

    Number of items skipped

    Example: 20

Endpoint

GET/api/v1/federation/cluster-groups

/api/v1/federation/cluster-groups

Operation ID

ListClusterGroups

Permalink

Request Example

curl -X GET '{host}/api/v1/federation/cluster-groups' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 5,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history